<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerHit Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_hit-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerHit Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_hit_8h_source.html">TrackerHit.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aee0ed60823ade1c9e2a475988d224693"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#aee0ed60823ade1c9e2a475988d224693">TrackerHit</a> ()</td></tr>
<tr class="memdesc:aee0ed60823ade1c9e2a475988d224693"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#aee0ed60823ade1c9e2a475988d224693">More...</a><br /></td></tr>
<tr class="separator:aee0ed60823ade1c9e2a475988d224693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40d6c02bc56121981216fbed0bcca107"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a40d6c02bc56121981216fbed0bcca107">TrackerHit</a> (long long <a class="el" href="classeic_1_1_tracker_hit.html#a268d4610aa5051a0481c51ca8e905c69">cellID0</a>, long long <a class="el" href="classeic_1_1_tracker_hit.html#a43e705a949997479f6b219b42ccb9a59">cellID1</a>, long long <a class="el" href="classeic_1_1_tracker_hit.html#a83a1edbfcbadcf032d39fe06b8285bea">time</a>, float <a class="el" href="classeic_1_1_tracker_hit.html#a1a3bb1b390d48c52a7a89a9edea59364">EDep</a>, float <a class="el" href="classeic_1_1_tracker_hit.html#aed3b8c051404345de2f276c2073144ba">EDepError</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a>)</td></tr>
<tr class="separator:a40d6c02bc56121981216fbed0bcca107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e2e421e8f841c9ca178d1cf149ac8db"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a6e2e421e8f841c9ca178d1cf149ac8db">TrackerHit</a> (<a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> *obj)</td></tr>
<tr class="memdesc:a6e2e421e8f841c9ca178d1cf149ac8db"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a>  <a href="#a6e2e421e8f841c9ca178d1cf149ac8db">More...</a><br /></td></tr>
<tr class="separator:a6e2e421e8f841c9ca178d1cf149ac8db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a596e2d1e2c87bbdea5c283ecce42e20a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a596e2d1e2c87bbdea5c283ecce42e20a">TrackerHit</a> (const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;other)</td></tr>
<tr class="memdesc:a596e2d1e2c87bbdea5c283ecce42e20a"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a596e2d1e2c87bbdea5c283ecce42e20a">More...</a><br /></td></tr>
<tr class="separator:a596e2d1e2c87bbdea5c283ecce42e20a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f4e05d676d1860a053d33bddecdb595"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a7f4e05d676d1860a053d33bddecdb595">operator=</a> (const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;other)</td></tr>
<tr class="memdesc:a7f4e05d676d1860a053d33bddecdb595"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a7f4e05d676d1860a053d33bddecdb595">More...</a><br /></td></tr>
<tr class="separator:a7f4e05d676d1860a053d33bddecdb595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eeda2b7c7977a6ad8b4d770377e9f0a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a8eeda2b7c7977a6ad8b4d770377e9f0a">clone</a> () const</td></tr>
<tr class="memdesc:a8eeda2b7c7977a6ad8b4d770377e9f0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a8eeda2b7c7977a6ad8b4d770377e9f0a">More...</a><br /></td></tr>
<tr class="separator:a8eeda2b7c7977a6ad8b4d770377e9f0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0cfafb86783ffd6509df1c2b1b0214"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a2e0cfafb86783ffd6509df1c2b1b0214">~TrackerHit</a> ()</td></tr>
<tr class="memdesc:a2e0cfafb86783ffd6509df1c2b1b0214"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a2e0cfafb86783ffd6509df1c2b1b0214">More...</a><br /></td></tr>
<tr class="separator:a2e0cfafb86783ffd6509df1c2b1b0214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4c6d8af9013891914c241dfb38bf4d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a8f4c6d8af9013891914c241dfb38bf4d">operator ConstTrackerHit</a> () const</td></tr>
<tr class="memdesc:a8f4c6d8af9013891914c241dfb38bf4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion to const object  <a href="#a8f4c6d8af9013891914c241dfb38bf4d">More...</a><br /></td></tr>
<tr class="separator:a8f4c6d8af9013891914c241dfb38bf4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a268d4610aa5051a0481c51ca8e905c69"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a268d4610aa5051a0481c51ca8e905c69">cellID0</a> () const</td></tr>
<tr class="memdesc:a268d4610aa5051a0481c51ca8e905c69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#a268d4610aa5051a0481c51ca8e905c69">More...</a><br /></td></tr>
<tr class="separator:a268d4610aa5051a0481c51ca8e905c69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e705a949997479f6b219b42ccb9a59"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a43e705a949997479f6b219b42ccb9a59">cellID1</a> () const</td></tr>
<tr class="memdesc:a43e705a949997479f6b219b42ccb9a59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#a43e705a949997479f6b219b42ccb9a59">More...</a><br /></td></tr>
<tr class="separator:a43e705a949997479f6b219b42ccb9a59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83a1edbfcbadcf032d39fe06b8285bea"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a83a1edbfcbadcf032d39fe06b8285bea">time</a> () const</td></tr>
<tr class="memdesc:a83a1edbfcbadcf032d39fe06b8285bea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The time of the hit.  <a href="#a83a1edbfcbadcf032d39fe06b8285bea">More...</a><br /></td></tr>
<tr class="separator:a83a1edbfcbadcf032d39fe06b8285bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a3bb1b390d48c52a7a89a9edea59364"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a1a3bb1b390d48c52a7a89a9edea59364">EDep</a> () const</td></tr>
<tr class="memdesc:a1a3bb1b390d48c52a7a89a9edea59364"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the EDep.  <a href="#a1a3bb1b390d48c52a7a89a9edea59364">More...</a><br /></td></tr>
<tr class="separator:a1a3bb1b390d48c52a7a89a9edea59364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed3b8c051404345de2f276c2073144ba"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#aed3b8c051404345de2f276c2073144ba">EDepError</a> () const</td></tr>
<tr class="memdesc:aed3b8c051404345de2f276c2073144ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the error on EDep.  <a href="#aed3b8c051404345de2f276c2073144ba">More...</a><br /></td></tr>
<tr class="separator:aed3b8c051404345de2f276c2073144ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e6047184f2f6274249f5817c6cc9a4e"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a> () const</td></tr>
<tr class="memdesc:a2e6047184f2f6274249f5817c6cc9a4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the position.  <a href="#a2e6047184f2f6274249f5817c6cc9a4e">More...</a><br /></td></tr>
<tr class="separator:a2e6047184f2f6274249f5817c6cc9a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b88c2047edc4bfbdff2724c906eeef6"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a6b88c2047edc4bfbdff2724c906eeef6">position</a> (size_t i) const</td></tr>
<tr class="memdesc:a6b88c2047edc4bfbdff2724c906eeef6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the position.  <a href="#a6b88c2047edc4bfbdff2724c906eeef6">More...</a><br /></td></tr>
<tr class="separator:a6b88c2047edc4bfbdff2724c906eeef6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a582681d6ccc92f543cf251bf34d4a1f8"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a> () const</td></tr>
<tr class="memdesc:a582681d6ccc92f543cf251bf34d4a1f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the covMatrix.  <a href="#a582681d6ccc92f543cf251bf34d4a1f8">More...</a><br /></td></tr>
<tr class="separator:a582681d6ccc92f543cf251bf34d4a1f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f92f267c0982a8c7b55e157ed38b1ad"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a5f92f267c0982a8c7b55e157ed38b1ad">covMatrix</a> (size_t i) const</td></tr>
<tr class="memdesc:a5f92f267c0982a8c7b55e157ed38b1ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the covMatrix.  <a href="#a5f92f267c0982a8c7b55e157ed38b1ad">More...</a><br /></td></tr>
<tr class="separator:a5f92f267c0982a8c7b55e157ed38b1ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abab5b054eccda566013e11d4a170e57e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#abab5b054eccda566013e11d4a170e57e">cellID0</a> (long long value)</td></tr>
<tr class="memdesc:abab5b054eccda566013e11d4a170e57e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The detector specific (geometrical) cell id.  <a href="#abab5b054eccda566013e11d4a170e57e">More...</a><br /></td></tr>
<tr class="separator:abab5b054eccda566013e11d4a170e57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b71eda3af2de5b6e1d443bd1240d0ca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a2b71eda3af2de5b6e1d443bd1240d0ca">cellID1</a> (long long value)</td></tr>
<tr class="memdesc:a2b71eda3af2de5b6e1d443bd1240d0ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The second detector specific (geometrical) cell id.  <a href="#a2b71eda3af2de5b6e1d443bd1240d0ca">More...</a><br /></td></tr>
<tr class="separator:a2b71eda3af2de5b6e1d443bd1240d0ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2b1abaff43a1408906dfdcc44644d5b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#ab2b1abaff43a1408906dfdcc44644d5b">time</a> (long long value)</td></tr>
<tr class="memdesc:ab2b1abaff43a1408906dfdcc44644d5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The time of the hit.  <a href="#ab2b1abaff43a1408906dfdcc44644d5b">More...</a><br /></td></tr>
<tr class="separator:ab2b1abaff43a1408906dfdcc44644d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2acf7b6ee8fc7d881863b9973ce41c4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a2acf7b6ee8fc7d881863b9973ce41c4c">EDep</a> (float value)</td></tr>
<tr class="memdesc:a2acf7b6ee8fc7d881863b9973ce41c4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the EDep.  <a href="#a2acf7b6ee8fc7d881863b9973ce41c4c">More...</a><br /></td></tr>
<tr class="separator:a2acf7b6ee8fc7d881863b9973ce41c4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40951c0be8bed6720c675ea329345bea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a40951c0be8bed6720c675ea329345bea">EDepError</a> (float value)</td></tr>
<tr class="memdesc:a40951c0be8bed6720c675ea329345bea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the error on EDep.  <a href="#a40951c0be8bed6720c675ea329345bea">More...</a><br /></td></tr>
<tr class="separator:a40951c0be8bed6720c675ea329345bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48485be46540af86f33ec7a57bd5fd0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a48485be46540af86f33ec7a57bd5fd0a">position</a> (std::array&lt; double, 3 &gt; value)</td></tr>
<tr class="memdesc:a48485be46540af86f33ec7a57bd5fd0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the position.  <a href="#a48485be46540af86f33ec7a57bd5fd0a">More...</a><br /></td></tr>
<tr class="separator:a48485be46540af86f33ec7a57bd5fd0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e9f23abe756b9c0bd73242434d6d90"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#ad6e9f23abe756b9c0bd73242434d6d90">position</a> (size_t i, double value)</td></tr>
<tr class="separator:ad6e9f23abe756b9c0bd73242434d6d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d0937ea44dc8e682035a169f7d71af2"><td class="memItemLeft" align="right" valign="top">std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a3d0937ea44dc8e682035a169f7d71af2">position</a> ()</td></tr>
<tr class="memdesc:a3d0937ea44dc8e682035a169f7d71af2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reference to position.  <a href="#a3d0937ea44dc8e682035a169f7d71af2">More...</a><br /></td></tr>
<tr class="separator:a3d0937ea44dc8e682035a169f7d71af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12fcea210a16edb6b09f9c972880bfb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a12fcea210a16edb6b09f9c972880bfb6">covMatrix</a> (std::array&lt; double, 3 &gt; value)</td></tr>
<tr class="memdesc:a12fcea210a16edb6b09f9c972880bfb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the covMatrix.  <a href="#a12fcea210a16edb6b09f9c972880bfb6">More...</a><br /></td></tr>
<tr class="separator:a12fcea210a16edb6b09f9c972880bfb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26cce11a514b9097d84f6877824e2d6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a26cce11a514b9097d84f6877824e2d6d">covMatrix</a> (size_t i, double value)</td></tr>
<tr class="separator:a26cce11a514b9097d84f6877824e2d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaedb26fd5c858919c33ccf39fbcd5434"><td class="memItemLeft" align="right" valign="top">std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#aaedb26fd5c858919c33ccf39fbcd5434">covMatrix</a> ()</td></tr>
<tr class="memdesc:aaedb26fd5c858919c33ccf39fbcd5434"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reference to covMatrix.  <a href="#aaedb26fd5c858919c33ccf39fbcd5434">More...</a><br /></td></tr>
<tr class="separator:aaedb26fd5c858919c33ccf39fbcd5434"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a869695bf43424641dfb61aba608d7966"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a869695bf43424641dfb61aba608d7966">isAvailable</a> () const</td></tr>
<tr class="memdesc:a869695bf43424641dfb61aba608d7966"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a869695bf43424641dfb61aba608d7966">More...</a><br /></td></tr>
<tr class="separator:a869695bf43424641dfb61aba608d7966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7924fa56b8549712e16ad4ae41771127"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a7924fa56b8549712e16ad4ae41771127">unlink</a> ()</td></tr>
<tr class="memdesc:a7924fa56b8549712e16ad4ae41771127"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> instance  <a href="#a7924fa56b8549712e16ad4ae41771127">More...</a><br /></td></tr>
<tr class="separator:a7924fa56b8549712e16ad4ae41771127"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53c2bf52c34481ec3c2702ac2a52100f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a53c2bf52c34481ec3c2702ac2a52100f">operator==</a> (const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:a53c2bf52c34481ec3c2702ac2a52100f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0be69e5b7a2c5b1936f68f7a89bf2c92"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#a0be69e5b7a2c5b1936f68f7a89bf2c92">operator==</a> (const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:a0be69e5b7a2c5b1936f68f7a89bf2c92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac945a6091ec6a4f4192263ad216725a3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#ac945a6091ec6a4f4192263ad216725a3">operator&lt;</a> (const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:ac945a6091ec6a4f4192263ad216725a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab15469ab7f070f821d323a5b4af2e719"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#ab15469ab7f070f821d323a5b4af2e719">id</a> () const</td></tr>
<tr class="separator:ab15469ab7f070f821d323a5b4af2e719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfb04d137bad412262516ac2614c52f5"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit.html#acfb04d137bad412262516ac2614c52f5">getObjectID</a> () const</td></tr>
<tr class="separator:acfb04d137bad412262516ac2614c52f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Tracker hit (reconstructed from Raw) </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8h_source.html#l00026">26</a> of file <a class="el" href="_tracker_hit_8h_source.html">TrackerHit.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aee0ed60823ade1c9e2a475988d224693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee0ed60823ade1c9e2a475988d224693">&#9670;&nbsp;</a></span>TrackerHit() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHit::TrackerHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00016">16</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="a40d6c02bc56121981216fbed0bcca107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40d6c02bc56121981216fbed0bcca107">&#9670;&nbsp;</a></span>TrackerHit() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHit::TrackerHit </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>EDep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>EDepError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>covMatrix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00020">20</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00017">eic::TrackerHitData::cellID0</a>, <a class="el" href="_tracker_hit_8cc_source.html#l00054">cellID0()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00018">eic::TrackerHitData::cellID1</a>, <a class="el" href="_tracker_hit_8cc_source.html#l00055">cellID1()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, <a class="el" href="_tracker_hit_8cc_source.html#l00061">covMatrix()</a>, <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00020">eic::TrackerHitData::EDep</a>, <a class="el" href="_tracker_hit_8cc_source.html#l00057">EDep()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00021">eic::TrackerHitData::EDepError</a>, <a class="el" href="_tracker_hit_8cc_source.html#l00058">EDepError()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>, <a class="el" href="_tracker_hit_8cc_source.html#l00059">position()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00019">eic::TrackerHitData::time</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00056">time()</a>.</p>

</div>
</div>
<a id="a6e2e421e8f841c9ca178d1cf149ac8db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e2e421e8f841c9ca178d1cf149ac8db">&#9670;&nbsp;</a></span>TrackerHit() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHit::TrackerHit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00041">41</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="a596e2d1e2c87bbdea5c283ecce42e20a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a596e2d1e2c87bbdea5c283ecce42e20a">&#9670;&nbsp;</a></span>TrackerHit() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHit::TrackerHit </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00031">31</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="a2e0cfafb86783ffd6509df1c2b1b0214"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e0cfafb86783ffd6509df1c2b1b0214">&#9670;&nbsp;</a></span>~TrackerHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHit::~TrackerHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00049">49</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a268d4610aa5051a0481c51ca8e905c69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a268d4610aa5051a0481c51ca8e905c69">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerHit::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00054">54</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00017">eic::TrackerHitData::cellID0</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00020">TrackerHit()</a>.</p>

</div>
</div>
<a id="abab5b054eccda566013e11d4a170e57e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abab5b054eccda566013e11d4a170e57e">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::cellID0 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00065">65</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00017">eic::TrackerHitData::cellID0</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

</div>
</div>
<a id="a43e705a949997479f6b219b42ccb9a59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43e705a949997479f6b219b42ccb9a59">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerHit::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00055">55</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00018">eic::TrackerHitData::cellID1</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00020">TrackerHit()</a>.</p>

</div>
</div>
<a id="a2b71eda3af2de5b6e1d443bd1240d0ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b71eda3af2de5b6e1d443bd1240d0ca">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::cellID1 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00066">66</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00018">eic::TrackerHitData::cellID1</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

</div>
</div>
<a id="a8eeda2b7c7977a6ad8b4d770377e9f0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eeda2b7c7977a6ad8b4d770377e9f0a">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHit::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00045">45</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="a582681d6ccc92f543cf251bf34d4a1f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a582681d6ccc92f543cf251bf34d4a1f8">&#9670;&nbsp;</a></span>covMatrix() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::TrackerHit::covMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the covMatrix. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00061">61</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00020">TrackerHit()</a>.</p>

</div>
</div>
<a id="a5f92f267c0982a8c7b55e157ed38b1ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f92f267c0982a8c7b55e157ed38b1ad">&#9670;&nbsp;</a></span>covMatrix() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::TrackerHit::covMatrix </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the covMatrix. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00062">62</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

</div>
</div>
<a id="a12fcea210a16edb6b09f9c972880bfb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12fcea210a16edb6b09f9c972880bfb6">&#9670;&nbsp;</a></span>covMatrix() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::covMatrix </td>
          <td>(</td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the covMatrix. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00073">73</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

</div>
</div>
<a id="a26cce11a514b9097d84f6877824e2d6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26cce11a514b9097d84f6877824e2d6d">&#9670;&nbsp;</a></span>covMatrix() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::covMatrix </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00074">74</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

</div>
</div>
<a id="aaedb26fd5c858919c33ccf39fbcd5434"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaedb26fd5c858919c33ccf39fbcd5434">&#9670;&nbsp;</a></span>covMatrix() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt; double, 3 &gt; &amp; eic::TrackerHit::covMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reference to covMatrix. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00075">75</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

</div>
</div>
<a id="a1a3bb1b390d48c52a7a89a9edea59364"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a3bb1b390d48c52a7a89a9edea59364">&#9670;&nbsp;</a></span>EDep() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackerHit::EDep </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the EDep. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00057">57</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00020">eic::TrackerHitData::EDep</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00020">TrackerHit()</a>.</p>

</div>
</div>
<a id="a2acf7b6ee8fc7d881863b9973ce41c4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2acf7b6ee8fc7d881863b9973ce41c4c">&#9670;&nbsp;</a></span>EDep() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::EDep </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the EDep. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00068">68</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00020">eic::TrackerHitData::EDep</a>.</p>

</div>
</div>
<a id="aed3b8c051404345de2f276c2073144ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed3b8c051404345de2f276c2073144ba">&#9670;&nbsp;</a></span>EDepError() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackerHit::EDepError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the error on EDep. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00058">58</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00021">eic::TrackerHitData::EDepError</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00020">TrackerHit()</a>.</p>

</div>
</div>
<a id="a40951c0be8bed6720c675ea329345bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40951c0be8bed6720c675ea329345bea">&#9670;&nbsp;</a></span>EDepError() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::EDepError </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the error on EDep. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00069">69</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00021">eic::TrackerHitData::EDepError</a>.</p>

</div>
</div>
<a id="acfb04d137bad412262516ac2614c52f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfb04d137bad412262516ac2614c52f5">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::TrackerHit::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00090">90</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8h_source.html#l00126">id()</a>.</p>

</div>
</div>
<a id="ab15469ab7f070f821d323a5b4af2e719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab15469ab7f070f821d323a5b4af2e719">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::TrackerHit::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8h_source.html#l00126">126</a> of file <a class="el" href="_tracker_hit_8h_source.html">TrackerHit.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_8cc_source.html#l00090">getObjectID()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a869695bf43424641dfb61aba608d7966"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a869695bf43424641dfb61aba608d7966">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerHit::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00083">83</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="a8f4c6d8af9013891914c241dfb38bf4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f4c6d8af9013891914c241dfb38bf4d">&#9670;&nbsp;</a></span>operator ConstTrackerHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHit::operator <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>conversion to const object </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00052">52</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="ac945a6091ec6a4f4192263ad216725a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac945a6091ec6a4f4192263ad216725a3">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerHit::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8h_source.html#l00124">124</a> of file <a class="el" href="_tracker_hit_8h_source.html">TrackerHit.h</a>.</p>

</div>
</div>
<a id="a7f4e05d676d1860a053d33bddecdb595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f4e05d676d1860a053d33bddecdb595">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp; eic::TrackerHit::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00035">35</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="a53c2bf52c34481ec3c2702ac2a52100f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53c2bf52c34481ec3c2702ac2a52100f">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8h_source.html#l00120">120</a> of file <a class="el" href="_tracker_hit_8h_source.html">TrackerHit.h</a>.</p>

</div>
</div>
<a id="a0be69e5b7a2c5b1936f68f7a89bf2c92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0be69e5b7a2c5b1936f68f7a89bf2c92">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00097">97</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

</div>
</div>
<a id="a2e6047184f2f6274249f5817c6cc9a4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e6047184f2f6274249f5817c6cc9a4e">&#9670;&nbsp;</a></span>position() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::TrackerHit::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the position. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00059">59</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00020">TrackerHit()</a>.</p>

</div>
</div>
<a id="a6b88c2047edc4bfbdff2724c906eeef6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b88c2047edc4bfbdff2724c906eeef6">&#9670;&nbsp;</a></span>position() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::TrackerHit::position </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the position. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00060">60</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>.</p>

</div>
</div>
<a id="a48485be46540af86f33ec7a57bd5fd0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48485be46540af86f33ec7a57bd5fd0a">&#9670;&nbsp;</a></span>position() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::position </td>
          <td>(</td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the position. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00070">70</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>.</p>

</div>
</div>
<a id="ad6e9f23abe756b9c0bd73242434d6d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6e9f23abe756b9c0bd73242434d6d90">&#9670;&nbsp;</a></span>position() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::position </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00071">71</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>.</p>

</div>
</div>
<a id="a3d0937ea44dc8e682035a169f7d71af2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d0937ea44dc8e682035a169f7d71af2">&#9670;&nbsp;</a></span>position() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt; double, 3 &gt; &amp; eic::TrackerHit::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reference to position. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00072">72</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>.</p>

</div>
</div>
<a id="a83a1edbfcbadcf032d39fe06b8285bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83a1edbfcbadcf032d39fe06b8285bea">&#9670;&nbsp;</a></span>time() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerHit::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The time of the hit. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00056">56</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00019">eic::TrackerHitData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00020">TrackerHit()</a>.</p>

</div>
</div>
<a id="ab2b1abaff43a1408906dfdcc44644d5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2b1abaff43a1408906dfdcc44644d5b">&#9670;&nbsp;</a></span>time() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::time </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The time of the hit. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8cc_source.html#l00067">67</a> of file <a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00019">eic::TrackerHitData::time</a>.</p>

</div>
</div>
<a id="a7924fa56b8549712e16ad4ae41771127"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7924fa56b8549712e16ad4ae41771127">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHit::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_8h_source.html#l00118">118</a> of file <a class="el" href="_tracker_hit_8h_source.html">TrackerHit.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_hit_8h_source.html">TrackerHit.h</a></li>
<li>src/<a class="el" href="_tracker_hit_8cc_source.html">TrackerHit.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
